<div id="map" class="mapbox-map">
  <div id="menu">
    <div class="columns is-mobile is-marginless">
      <div class="column is-narrow">
        <button class="button button-switch-layers-mobile is-hidden-tablet" type="button" (click)="toggleLayer()">
          <svg *ngIf="selectedBaseLayer.id === settings.baseLayers[0].id; else vectorLogo" width="16" height="16"
            viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path
              d="M14 9.5L18.543 11.332C19.1406 11.5781 19.1406 12.457 18.543 12.7383L10.3516 16.4297C10.1055 16.5352 9.85938 16.5352 9.61328 16.4297L1.42188 12.7383C0.824219 12.457 0.824219 11.5781 1.42188 11.332L5.5 9.5"
              stroke="#818080" />
            <path
              d="M0.497561 8.81463L9.59024 12.9122C9.86341 13.0293 10.1366 13.0293 10.4098 12.9122L19.5024 8.81463C20.1659 8.50244 20.1659 7.52683 19.5024 7.21463L10.4098 3.11707C10.2927 3.07805 10.1366 3 10.0195 3C9.86341 3 9.70732 3.07805 9.59024 3.11707L0.497561 7.21463C-0.165854 7.52683 -0.165854 8.50244 0.497561 8.81463Z"
              fill="#4668AB" />
          </svg>

          <ng-template #vectorLogo>
            <svg width="16" height="16" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
              <path
                d="M14 9.5L18.543 11.332C19.1406 11.5781 19.1406 12.457 18.543 12.7383L10.3516 16.4297C10.1055 16.5352 9.85938 16.5352 9.61328 16.4297L1.42188 12.7383C0.824219 12.457 0.824219 11.5781 1.42188 11.332L5.5 9.5H14Z"
                fill="#4668AB" stroke="#4668AB" />
              <path
                d="M10.2091 12.4542C10.0644 12.5153 9.93557 12.5153 9.79093 12.4542L0.707534 8.36083C0.430827 8.22764 0.430822 7.80165 0.707518 7.66844L9.77485 3.58231C9.80441 3.57187 9.83311 3.56089 9.8557 3.55226L9.86311 3.54943C9.89704 3.53647 9.9232 3.52663 9.94836 3.51824C9.97756 3.50851 9.99637 3.50397 10.0073 3.50185C10.0165 3.50451 10.0292 3.50861 10.0465 3.51477C10.0702 3.52325 10.0943 3.53262 10.1254 3.54474L10.1346 3.54832C10.1599 3.55813 10.1918 3.57053 10.2252 3.58231L19.2925 7.66844C19.5692 7.80164 19.5692 8.22765 19.2925 8.36084L10.2091 12.4542Z"
                fill="white" stroke="#818080" />
            </svg>
          </ng-template>
        </button>

        <div *ngIf="!isHomeMap" class="buttons has-addons column-content is-hidden-mobile">
          <ng-container *ngFor="let l of settings.baseLayers">
            <button class="button selectBase" [disabled]="l.id === selectedBaseLayer.id"
              [ngClass]="{'is-selected': l.id === selectedBaseLayer.id, 'is-active': l.id === selectedBaseLayer.id}"
              (click)="switchLayer(l)" type="button">
              {{ l.labels[lang] }}
            </button>
          </ng-container>
        </div>
      </div>
      <div class="button-3d" *ngIf="displayButton3d && !isHomeMap">
        <button class="button" [ngClass]="{'is-active': display3d}"
        (click)="switch3DLayer()" *ngIf="selectedBaseLayer.id===settings.baseLayers[0].id">
          3D
        </button>
      </div>
      <div class="column is-narrow is-hidden-mobile">
        <app-search-address *ngIf="!isHomeMap" [optionsAutocomplete]="searchLocationResult" (searchAddress)="searchAdress($event)"
          (addressSelected)="flyTo($event)" (clearAddress)="removeMarker()">
        </app-search-address>
      </div>
    </div>
  </div>

  <div *ngIf="!isHomeMap" class="geolocation-container">
    <button class="geolocation button is-medium" type="button" i18n-aria-label="@@dataset.detail.map.center"
      aria-label="Center to my position" (click)="centerToMyPosition()">
    </button>
  </div>


  <div *ngIf="!isHomeMap" class="copy-map">
    <input type="text" class="input" id="mapUrlCopy" i18n-aria-label="@@dataset.detail.map.share"
      aria-label="Share the map" [value]="mapUrl()" #mapUrlElement>
    <button class="button is-medium has-tooltip-left tooltip" i18n-aria-label="@@dataset.detail.map.share"
      aria-label="Share the map" type="button" (click)="copyMaplink(mapUrlElement)" [attr.data-tooltip]="shareMessage">
      <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="none" viewBox="0 0 20 20">
        <path fill="#818080" fill-rule="evenodd"
          d="M1.852 7.777a2.619 2.619 0 0 1 0-3.703l2.222-2.222a2.619 2.619 0 0 1 3.704 0l2.963 2.963a2.619 2.619 0 0 1 0 3.703l-.37.37.74.741.37-.37a2.619 2.619 0 0 1 3.704 0l2.963 2.963a2.619 2.619 0 0 1 0 3.704l-2.222 2.222a2.619 2.619 0 0 1-3.704 0L9.26 15.185a2.619 2.619 0 0 1 0-3.704l.37-.37-.74-.741-.37.37a2.619 2.619 0 0 1-3.704 0L1.852 7.777zm7.037-.37l-.74-.74a1.048 1.048 0 0 0-1.482 1.48l.74.742-.37.37a.524.524 0 0 1-.74 0L3.332 6.296a.524.524 0 0 1 0-.74l2.223-2.223a.524.524 0 0 1 .74 0L9.26 6.296a.524.524 0 0 1 0 .74l-.37.371zm2.222 5.185l-.37.37a.524.524 0 0 0 0 .742l2.963 2.962a.524.524 0 0 0 .74 0l2.223-2.222a.524.524 0 0 0 0-.74l-2.963-2.963a.524.524 0 0 0-.741 0l-.37.37.74.74a1.047 1.047 0 1 1-1.481 1.482l-.74-.74z"
          clip-rule="evenodd" />
      </svg>
    </button>
  </div>
</div>